# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django_logit import logit
from TimeConvert import TimeConvert as tc

from message.models import MessageInfo
from utils.error.response_utils import response


@logit
def msg_list_api(request):
    curdt = tc.utc_datetime()
    msgs = MessageInfo.objects.filter(msg_image_airtime__lte=curdt, msg_image_deadline__gt=curdt, status=True)
    msgs = [msg.data for msg in msgs]

    return response(200, 'Get Message List Success', u'获取消息列表成功', {
        'msgs': msgs,
    })
